commit:     e962aed21f10226c24d06b229a678ee2aea1de22
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sun May 10 14:27:11 2015 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sun May 10 14:27:11 2015 +0000
URL:        https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=e962aed2

remove outdated lighttpd ebuild

 www-servers/lighttpd/Manifest                      |  19 -
 www-servers/lighttpd/files/conf/lighttpd.conf      | 321 -------------
 www-servers/lighttpd/files/conf/mime-types.conf    |  76 ----
 www-servers/lighttpd/files/conf/mod_cgi.conf       |  33 --
 www-servers/lighttpd/files/conf/mod_fastcgi.conf   |  18 -
 .../lighttpd/files/conf/mod_fastcgi.conf-1.4.13-r2 |  17 -
 .../lighttpd/files/digest-lighttpd-1.5.0_pre1992   |   3 -
 www-servers/lighttpd/files/lighttpd-1.3.10.initd   |  27 --
 .../files/lighttpd-1.4.13-deprecated-ldap-api.diff |  10 -
 .../files/lighttpd-1.5.0_pre1992-ldap.patch        | 499 ---------------------
 www-servers/lighttpd/files/lighttpd.confd          |  12 -
 www-servers/lighttpd/files/lighttpd.initd          |  55 ---
 .../lighttpd/files/lighttpd.initd-1.4.13-r1        |  71 ---
 .../lighttpd/files/lighttpd.initd-1.4.13-r2        |  68 ---
 .../lighttpd/files/lighttpd.initd-1.4.13-r3        |  67 ---
 www-servers/lighttpd/files/lighttpd.logrotate      |  17 -
 .../lighttpd/files/spawn-fcgi-1.5-allow-uids.patch | 113 -----
 www-servers/lighttpd/files/spawn-fcgi.confd        |  35 --
 www-servers/lighttpd/files/spawn-fcgi.initd        |  51 ---
 www-servers/lighttpd/lighttpd-1.5.0_pre1992.ebuild | 222 ---------
 20 files changed, 1734 deletions(-)

diff --git a/www-servers/lighttpd/Manifest b/www-servers/lighttpd/Manifest
deleted file mode 100644
index cd86c8b..0000000
--- a/www-servers/lighttpd/Manifest
+++ /dev/null
@@ -1,19 +0,0 @@
-AUX conf/lighttpd.conf 8182 RMD160 450cf40f4ec517331f8932618a3c492cb566e4f3 
SHA1 16922786a79807fa3233d1af105a99582d3486a5 SHA256 
c0f6951e00d4e8c928f1799a84976ab8bb536bd59a104c13ca9d1d3661d8cebd
-AUX conf/mime-types.conf 3291 RMD160 157c9a6f7d00e52c7d4118edcce8d1eb1e0a3c20 
SHA1 3eec39060014e1498d3254919b10a64ca1e6ff00 SHA256 
575231104d51fa1882c47021ab0aa00d615401059a6748d64453cb39aafba537
-AUX conf/mod_cgi.conf 869 RMD160 1d447bad36822657d014990128891cbdb6169468 SHA1 
30066f52e469339cc8a5df8864b4cc2d9c558c3d SHA256 
322656b4cfd22ca9f1f8ab160e0b932f1646622422fd49c6fc82ab416223eecf
-AUX conf/mod_fastcgi.conf 661 RMD160 83b4126a4b0537fcd04db607a53e4742ceae039b 
SHA1 853a54799e9cd42ab9ff92bf0c07a0515ebe2d2a SHA256 
61daa2ffac9e948d9d5130cc43f560a18c8dfb052cb7e3d4c6bd1decb6c9fd06
-AUX conf/mod_fastcgi.conf-1.4.13-r2 687 RMD160 
f165f27a08f35c4792bd332be3a04370b69152e3 SHA1 
ebb469944098a91772424a825fdd5a0464cef158 SHA256 
d1adc1358b5d9e85353caa2e706bfa231d145dd59c075cdcb3f818b3cb5d722e
-AUX lighttpd-1.3.10.initd 666 RMD160 b665f80ae5b58bd0c8d42793d28bc40443923605 
SHA1 490cc2486fd68d78c81b0d0abf6ef79f9ee06270 SHA256 
f4a3170795681ec8101d8048df1e5d23b690b6ca1a1e702722fa1f6c58c59731
-AUX lighttpd-1.4.13-deprecated-ldap-api.diff 520 RMD160 
9c92e198d23686e75347ce98d4cc221f644c6270 SHA1 
aca1f4947faaac6275d7bbc585c91ae838c3fcef SHA256 
427fc89acfc53b82e873ae1d93cdd8d6d61ca08586ec9a43705f050249931f3d
-AUX lighttpd-1.5.0_pre1992-ldap.patch 16228 RMD160 
7401df31ed0db36dfb0033e4d18851c0057bcb38 SHA1 
a44982d54b9fa2bdb541317eda00ec114665a76c SHA256 
f1e2bd6d4b1c784353c10c9af2d5a7888f67776c0e86a23c3f4fe03f52cd86b0
-AUX lighttpd.confd 326 RMD160 5ec87aa0f6a4ed1a112033de137cd83cd850e0ee SHA1 
e243dbc599b3b3b663946b54bf333b27459e4dc2 SHA256 
7843e193644d025c04ad9af01f1dc193b923f1d94d670c4a76b7b225af454b2e
-AUX lighttpd.initd 1164 RMD160 5db761cd95781c457035a0b03459c22554b54dab SHA1 
ee426c105cd5e228a7428b197bfa8ca47a8256fe SHA256 
823ed1ae9b0dde0939285761b8af547116c51b597c1488dbd3f45a934e291213
-AUX lighttpd.initd-1.4.13-r1 1641 RMD160 
b038e21964d92a1c3bd9d99b676c0d25b76087f0 SHA1 
b31368f70854acccd44b5d9a4b87d4fb07920e78 SHA256 
3eeaef628418745207ad4bb77dfbc378ff31f52dbc5413d19647303d5ad27d71
-AUX lighttpd.initd-1.4.13-r2 1461 RMD160 
823c7f1d85c69d928f38128ad1b2e231cc891e2f SHA1 
ec1b4ca7e3c40dbd643e2c3a021df05727879c2c SHA256 
be684fee10ef15b557d3f48df38341477729c2153b923b457ee7394e818bcfe9
-AUX lighttpd.initd-1.4.13-r3 1444 RMD160 
547b4f38f00dac4ea695767f68a35a6220f5cdea SHA1 
7aa79dc2fd4b98203d60da7be17078c1be1cb5bd SHA256 
edfd7fbdbef984f4f4d998d42fc3ee104f90b06cf42321b945b67624f269bad1
-AUX lighttpd.logrotate 487 RMD160 2edb8b4abf75031af0a3b4182efb5b589dfa0d3c 
SHA1 24e1b048d7be5520ca5ef8ce31b55df13cc8d72b SHA256 
503ee1cd454e2c0f9a212ef60dc8321893eda06ccf721ecbe94d189a09e0bc6c
-AUX spawn-fcgi-1.5-allow-uids.patch 2623 RMD160 
d5c6a4a8ac6759479862d9ca30f7582e2b4e4db0 SHA1 
6248161a92cea9d3e28650925c6e0caa5233322a SHA256 
46ee75ef1fdc990679d814b7e5d956408891561a06c9f3182b826963ad48026c
-AUX spawn-fcgi.confd 1076 RMD160 9468249fdedc39fa762a569622bae93f8b3481f9 SHA1 
81bad945fc016275873e01e5f69838f73b275a3a SHA256 
bfa452a849165f921a2febf0b06879db18c4c921f156b1452d06bb821063f768
-AUX spawn-fcgi.initd 1398 RMD160 3fd0fa41d100629e85960034237abc0866ec3d38 SHA1 
9c07c9fd59ec73d5f37df109b188b8a7d691f949 SHA256 
ae10c764e2bde9bfc483c57ca94a63d87c24cba00b4c06917885c533d2d245b1
-EBUILD lighttpd-1.5.0_pre1992.ebuild 5959 RMD160 
9d6e53a2fe1d474704d0cbb0e464d703e70370f5 SHA1 
06dc847742b4e8f203b40b5e12acbfd3f47f68b3 SHA256 
b81002772dfc8cbc8dbfff523a92186f6047523b5e9aef6d12a9a548a9046d4a
-DIST lighttpd-1.5.0-r1992.tar.gz 876585 RMD160 
ff3898fa62869935c4938748109f1a71f3b16f1b SHA1 
ffb59d192f1d66bb93aacaf08b251160b0d49f63 SHA256 
c3ee172ad84bd3a94315089f1ca463be21cebf994988ed3af7119dc9d926405b

diff --git a/www-servers/lighttpd/files/conf/lighttpd.conf 
b/www-servers/lighttpd/files/conf/lighttpd.conf
deleted file mode 100644
index 778a406..0000000
--- a/www-servers/lighttpd/files/conf/lighttpd.conf
+++ /dev/null
@@ -1,321 +0,0 @@
-###############################################################################
-# Default lighttpd.conf for Gentoo.
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/conf/lighttpd.conf,v 1.3 
2005/09/01 14:22:35 ka0ttic Exp $
-###############################################################################
-
-# {{{ variables
-var.basedir  = "/var/www/localhost"
-var.logdir   = "/var/log/lighttpd"
-var.statedir = "/var/lib/lighttpd"
-# }}}
-
-# {{{ modules
-# At the very least, mod_access and mod_accesslog should be enabled.
-# All other modules should only be loaded if necessary.
-# NOTE: the order of modules is important.
-server.modules = (
-#    "mod_rewrite",
-#    "mod_redirect",
-#    "mod_alias",
-    "mod_access",
-#    "mod_cml",
-#    "mod_trigger_b4_dl",
-#    "mod_auth",
-#    "mod_status",
-#    "mod_setenv",
-#    "mod_proxy",
-#    "mod_simple_vhost",
-#    "mod_evhost",
-#    "mod_userdir",
-#    "mod_compress",
-#    "mod_ssi",
-#    "mod_usertrack",
-#    "mod_expire",
-#    "mod_secdownload",
-#    "mod_rrdtool",
-#    "mod_webdav",
-    "mod_accesslog"
-)
-# }}}
-
-# {{{ includes
-include "mime-types.conf"
-# uncomment for cgi support
-#   include "mod_cgi.conf"
-# uncomment for php/fastcgi support
-#   include "mod_fastcgi.conf"
-# }}}
-
-# {{{ server settings
-server.username      = "lighttpd"
-server.groupname     = "lighttpd"
-
-server.document-root = var.basedir + "/htdocs"
-server.pid-file      = "/var/run/lighttpd.pid"
-
-server.errorlog      = var.logdir  + "/error.log"
-# log errors to syslog instead
-#   server.errorlog-use-syslog = "enable"
-
-server.indexfiles    = ("index.php", "index.html",
-                                               "index.htm", "default.htm")
-
-# server.tag           = "lighttpd"
-
-server.follow-symlink = "enable"
-
-# event handler (defaults to "poll")
-# see performance.txt
-# 
-# for >= linux-2.4
-#   server.event-handler = "linux-rtsig"
-# for >= linux-2.6
-#   server.event-handler = "linux-sysepoll"
-# for FreeBSD
-#   server.event-handler = "freebsd-kqueue"
-
-# chroot to directory (defaults to no chroot)
-# server.chroot      = "/"
-
-# bind to port (defaults to 80)
-# server.port          = 81
-
-# bind to name (defaults to all interfaces)
-# server.bind          = "grisu.home.kneschke.de"
-
-# error-handler for status 404
-# server.error-handler-404 = "/error-handler.html"
-# server.error-handler-404 = "/error-handler.php"
-
-# Format: <errorfile-prefix><status-code>.html
-# -> ..../status-404.html for 'File not found'
-# server.errorfile-prefix    = var.basedir + "/error/status-"
-
-# FAM support for caching stat() calls
-# requires that lighttpd be built with USE=fam
-#   server.stat-cache-engine = "fam"
-# }}}
-
-# {{{ mod_staticfile
-
-# which extensions should not be handled via static-file transfer
-# (extensions that are usually handled by mod_cgi, mod_fastcgi, etc).
-static-file.exclude-extensions = (".php", ".pl", ".cgi", ".fcgi")
-# }}}
-
-# {{{ mod_accesslog
-accesslog.filename   = var.logdir + "/access.log"
-# }}}
-
-# {{{ mod_dirlisting
-# enable directory listings
-#   dir-listing.activate      = "enable"
-#
-# don't list hidden files/directories
-#   dir-listing.hide-dotfiles = "enable"
-#
-# use a different css for directory listings
-#   dir-listing.external-css  = "/path/to/dir-listing.css"
-#
-# list of regular expressions.  files that match any of the
-# specified regular expressions will be excluded from directory
-# listings.
-#   dir-listing.exclude = ("^\.", "~$")
-# }}}
-
-# {{{ mod_access
-# see access.txt
-
-url.access-deny = ("~", ".inc")
-# }}}
-
-# {{{ mod_userdir
-# see userdir.txt
-#
-# userdir.path = "public_html"
-# userdir.exclude-user = ("root")
-# }}}
-
-# {{{ mod_ssi
-# see ssi.txt
-#
-# ssi.extension = (".shtml")
-# }}}
-
-# {{{ mod_ssl
-# see ssl.txt
-#
-# ssl.engine    = "enable"
-# ssl.pemfile   = "server.pem"
-# }}}
-
-# {{{ mod_status
-# see status.txt
-#
-# status.status-url  = "/server-status"
-# status.config-url  = "/server-config"
-# }}}
-
-# {{{ mod_simple_vhost
-# see simple-vhost.txt
-#
-#  If you want name-based virtual hosting add the next three settings and load
-#  mod_simple_vhost
-#
-# document-root =
-#   virtual-server-root + virtual-server-default-host + virtual-server-docroot
-# or
-#   virtual-server-root + http-host + virtual-server-docroot
-#
-# simple-vhost.server-root   = "/home/weigon/wwwroot/servers/"
-# simple-vhost.default-host  = "grisu.home.kneschke.de"
-# simple-vhost.document-root = "/pages/"
-# }}}
-
-# {{{ mod_compress
-# see compress.txt
-#
-# compress.cache-dir   = var.statedir + "/cache/compress"
-# compress.filetype    = ("text/plain", "text/html")
-# }}}
-
-# {{{ mod_proxy
-# see proxy.txt
-#
-# proxy.server               = ( ".php" =>
-#                               ( "localhost" =>
-#                                 (
-#                                   "host" => "192.168.0.101",
-#                                   "port" => 80
-#                                 )
-#                               )
-#                             )
-# }}}
-
-# {{{ mod_auth
-# see authentication.txt
-#
-# auth.backend               = "plain"
-# auth.backend.plain.userfile = "lighttpd.user"
-# auth.backend.plain.groupfile = "lighttpd.group"
-
-# auth.backend.ldap.hostname = "localhost"
-# auth.backend.ldap.base-dn  = "dc=my-domain,dc=com"
-# auth.backend.ldap.filter   = "(uid=$)"
-
-# auth.require               = ( "/server-status" =>
-#                               (
-#                                 "method"  => "digest",
-#                                 "realm"   => "download archiv",
-#                                 "require" => "user=jan"
-#                               ),
-#                               "/server-info" =>
-#                               (
-#                                 "method"  => "digest",
-#                                 "realm"   => "download archiv",
-#                                 "require" => "valid-user"
-#                               )
-#                             )
-# }}}
-
-# {{{ mod_rewrite
-# see rewrite.txt
-#
-# url.rewrite = (
-#      "^/$"           =>              "/server-status"
-# )
-# }}}
-
-# {{{ mod_redirect
-# see redirect.txt
-#
-# url.redirect = (
-#      "^/wishlist/(.+)"               =>              "http://www.123.org/$1";
-# )
-# }}}
-
-# {{{ mod_evhost
-# define a pattern for the host url finding
-# %% => % sign
-# %0 => domain name + tld
-# %1 => tld
-# %2 => domain name without tld
-# %3 => subdomain 1 name
-# %4 => subdomain 2 name
-#
-# evhost.path-pattern        = "/home/storage/dev/www/%3/htdocs/"
-# }}}
-
-# {{{ mod_expire
-# expire.url = (
-#      "/buggy/"               =>              "access 2 hours",
-#      "/asdhas/"              =>              "access plus 1 seconds 2 
minutes"
-# )
-# }}}
-
-# {{{ mod_rrdtool
-# see rrdtool.txt
-#
-# rrdtool.binary  = "/usr/bin/rrdtool"
-# rrdtool.db-name = var.statedir + "/lighttpd.rrd"
-# }}}
-
-# {{{ mod_setenv
-# see setenv.txt
-#
-# setenv.add-request-header  = ( "TRAV_ENV" => "mysql://user@host/db" )
-# setenv.add-response-header = ( "X-Secret-Message" => "42" )
-# }}}
-
-# {{{ mod_trigger_b4_dl
-# see trigger_b4_dl.txt
-#
-# trigger-before-download.gdbm-filename = "/home/weigon/testbase/trigger.db"
-# trigger-before-download.memcache-hosts = ( "127.0.0.1:11211" )
-# trigger-before-download.trigger-url = "^/trigger/"
-# trigger-before-download.download-url = "^/download/"
-# trigger-before-download.deny-url = "http://127.0.0.1/index.html";
-# trigger-before-download.trigger-timeout = 10
-# }}}
-
-# {{{ mod_cml
-# see cml.txt
-#
-# don't forget to add index.cml to server.indexfiles
-# cml.extension               = ".cml"
-# cml.memcache-hosts          = ( "127.0.0.1:11211" )
-# }}} 
-
-# {{{ mod_webdav
-# see webdav.txt
-#
-# $HTTP["url"] =~ "^/dav($|/)" {
-#     webdav.activate = "enable"
-#     webdav.is-readonly = "enable"
-# }
-# }}}
-
-# {{{ extra rules
-#
-# set Content-Encoding and reset Content-Type for browsers that
-# support decompressing on-thy-fly (requires mod_setenv)
-# $HTTP["url"] =~ "\.gz$" {
-#     setenv.add-response-header = ("Content-Encoding" => "x-gzip")
-#     mimetype.assign = (".gz" => "text/plain")
-# }
-
-# $HTTP["url"] =~ "\.bz2$" {
-#     setenv.add-response-header = ("Content-Encoding" => "x-bzip2")
-#     mimetype.assign = (".bz2" => "text/plain")
-# }
-#
-# }}}
-
-# {{{ debug
-# debug.log-request-header   = "enable"
-# debug.log-response-header  = "enable"
-# debug.log-request-handling = "enable"
-# debug.log-file-not-found   = "enable"
-# }}}
-
-# vim: set ft=conf foldmethod=marker et :

diff --git a/www-servers/lighttpd/files/conf/mime-types.conf 
b/www-servers/lighttpd/files/conf/mime-types.conf
deleted file mode 100644
index 3c36577..0000000
--- a/www-servers/lighttpd/files/conf/mime-types.conf
+++ /dev/null
@@ -1,76 +0,0 @@
-###############################################################################
-# Default mime-types.conf for Gentoo.
-# include'd from lighttpd.conf.
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/conf/mime-types.conf,v 1.2 
2005/08/27 12:36:13 ka0ttic Exp $
-###############################################################################
-
-# {{{ mime types
-mimetype.assign             = (
-  ".pdf"          =>      "application/pdf",
-  ".sig"          =>      "application/pgp-signature",
-  ".spl"          =>      "application/futuresplash",
-  ".class"        =>      "application/octet-stream",
-  ".ps"           =>      "application/postscript",
-  ".torrent"      =>      "application/x-bittorrent",
-  ".dvi"          =>      "application/x-dvi",
-  ".gz"           =>      "application/x-gzip",
-  ".pac"          =>      "application/x-ns-proxy-autoconfig",
-  ".swf"          =>      "application/x-shockwave-flash",
-  ".tar.gz"       =>      "application/x-tgz",
-  ".tgz"          =>      "application/x-tgz",
-  ".tar"          =>      "application/x-tar",
-  ".zip"          =>      "application/zip",
-  ".mp3"          =>      "audio/mpeg",
-  ".m3u"          =>      "audio/x-mpegurl",
-  ".wma"          =>      "audio/x-ms-wma",
-  ".wax"          =>      "audio/x-ms-wax",
-  ".ogg"          =>      "application/ogg",
-  ".wav"          =>      "audio/x-wav",
-  ".gif"          =>      "image/gif",
-  ".jpg"          =>      "image/jpeg",
-  ".jpeg"         =>      "image/jpeg",
-  ".png"          =>      "image/png",
-  ".xbm"          =>      "image/x-xbitmap",
-  ".xpm"          =>      "image/x-xpixmap",
-  ".xwd"          =>      "image/x-xwindowdump",
-  ".css"          =>      "text/css",
-  ".html"         =>      "text/html",
-  ".htm"          =>      "text/html",
-  ".js"           =>      "text/javascript",
-  ".asc"          =>      "text/plain",
-  ".c"            =>      "text/plain",
-  ".h"            =>      "text/plain",
-  ".cc"           =>      "text/plain",
-  ".cpp"          =>      "text/plain",
-  ".hh"           =>      "text/plain",
-  ".hpp"          =>      "text/plain",
-  ".conf"         =>      "text/plain",
-  ".log"          =>      "text/plain",
-  ".text"         =>      "text/plain",
-  ".txt"          =>      "text/plain",
-  ".diff"         =>      "text/plain",
-  ".patch"        =>      "text/plain",
-  ".ebuild"       =>      "text/plain",
-  ".eclass"       =>      "text/plain",
-  ".rtf"          =>      "application/rtf",
-  ".bmp"          =>      "image/bmp",
-  ".tif"          =>      "image/tiff",
-  ".tiff"         =>      "image/tiff",
-  ".ico"          =>      "image/x-icon",
-  ".dtd"          =>      "text/xml",
-  ".xml"          =>      "text/xml",
-  ".mpeg"         =>      "video/mpeg",
-  ".mpg"          =>      "video/mpeg",
-  ".mov"          =>      "video/quicktime",
-  ".qt"           =>      "video/quicktime",
-  ".avi"          =>      "video/x-msvideo",
-  ".asf"          =>      "video/x-ms-asf",
-  ".asx"          =>      "video/x-ms-asf",
-  ".wmv"          =>      "video/x-ms-wmv",
-  ".bz2"          =>      "application/x-bzip",
-  ".tbz"          =>      "application/x-bzip-compressed-tar",
-  ".tar.bz2"      =>      "application/x-bzip-compressed-tar"
- )
-# }}}
-
-# vim: set ft=conf foldmethod=marker et :

diff --git a/www-servers/lighttpd/files/conf/mod_cgi.conf 
b/www-servers/lighttpd/files/conf/mod_cgi.conf
deleted file mode 100644
index 1cb3770..0000000
--- a/www-servers/lighttpd/files/conf/mod_cgi.conf
+++ /dev/null
@@ -1,33 +0,0 @@
-###############################################################################
-# mod_cgi.conf
-# include'd by lighttpd.conf.
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/conf/mod_cgi.conf,v 1.1 
2005/08/27 12:36:13 ka0ttic Exp $
-###############################################################################
-
-#
-# see cgi.txt for more information on using mod_cgi
-#
-
-server.modules += ("mod_cgi")
-
-# NOTE: this requires mod_alias
-alias.url = (
-     "/cgi-bin/"           =>      var.basedir + "/cgi-bin/"
-)
-
-#
-# Note that you'll also want to enable the
-# cgi-bin alias via mod_alias (above).
-#
-
-$HTTP["url"] =~ "^/cgi-bin/" {
-    # disable directory listings
-    dir-listing.activate = "disable"
-    # only allow cgi's in this directory
-    cgi.assign = (
-               ".pl"   =>      "/usr/bin/perl",
-               ".cgi"  =>      "/usr/bin/perl"
-       )
-}
-
-# vim: set ft=conf foldmethod=marker et :

diff --git a/www-servers/lighttpd/files/conf/mod_fastcgi.conf 
b/www-servers/lighttpd/files/conf/mod_fastcgi.conf
deleted file mode 100644
index 452e174..0000000
--- a/www-servers/lighttpd/files/conf/mod_fastcgi.conf
+++ /dev/null
@@ -1,18 +0,0 @@
-###############################################################################
-# mod_fastcgi.conf
-# include'd by lighttpd.conf.
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/conf/mod_fastcgi.conf,v 1.2 
2005/08/27 12:36:13 ka0ttic Exp $
-###############################################################################
-
-server.modules += ("mod_fastcgi")
-fastcgi.server = ( ".php" =>
-                           ( "localhost" =>
-                                   (
-                                           "host"              =>              
"127.0.0.1",
-                                           "port"              =>              
1026,
-                                           "bin-path"  =>              
"/usr/bin/php-cgi"
-                                   )
-                           )
-                   )
-
-# vim: set ft=conf foldmethod=marker et :

diff --git a/www-servers/lighttpd/files/conf/mod_fastcgi.conf-1.4.13-r2 
b/www-servers/lighttpd/files/conf/mod_fastcgi.conf-1.4.13-r2
deleted file mode 100644
index ca1369a..0000000
--- a/www-servers/lighttpd/files/conf/mod_fastcgi.conf-1.4.13-r2
+++ /dev/null
@@ -1,17 +0,0 @@
-###############################################################################
-# mod_fastcgi.conf
-# include'd by lighttpd.conf.
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/conf/mod_fastcgi.conf-1.4.13-r2,v
 1.1 2007/04/01 23:22:00 robbat2 Exp $
-###############################################################################
-
-server.modules += ("mod_fastcgi")
-fastcgi.server = ( ".php" =>
-                           ( "localhost" =>
-                                   (
-                                           "socket"            =>              
"/var/run/lighttpd/lighttpd-fastcgi-php-" + PID + ".socket",
-                                           "bin-path"  =>              
"/usr/bin/php-cgi"
-                                   )
-                           )
-                   )
-
-# vim: set ft=conf foldmethod=marker et :

diff --git a/www-servers/lighttpd/files/digest-lighttpd-1.5.0_pre1992 
b/www-servers/lighttpd/files/digest-lighttpd-1.5.0_pre1992
deleted file mode 100644
index 9fdf384..0000000
--- a/www-servers/lighttpd/files/digest-lighttpd-1.5.0_pre1992
+++ /dev/null
@@ -1,3 +0,0 @@
-MD5 b62e2442ee0f3395844b54385b14397a lighttpd-1.5.0-r1992.tar.gz 876585
-RMD160 ff3898fa62869935c4938748109f1a71f3b16f1b lighttpd-1.5.0-r1992.tar.gz 
876585
-SHA256 c3ee172ad84bd3a94315089f1ca463be21cebf994988ed3af7119dc9d926405b 
lighttpd-1.5.0-r1992.tar.gz 876585

diff --git a/www-servers/lighttpd/files/lighttpd-1.3.10.initd 
b/www-servers/lighttpd/files/lighttpd-1.3.10.initd
deleted file mode 100644
index f6789b9..0000000
--- a/www-servers/lighttpd/files/lighttpd-1.3.10.initd
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd-1.3.10.initd,v 1.2 
2005/06/06 12:11:08 ka0ttic Exp $
-
-PID_FILE="/var/run/lighttpd.pid"
-LIGHTTPD_BIN="/usr/sbin/lighttpd"
-LIGHTTPD_CONF="/etc/lighttpd.conf"
-
-depend() {
-       need net
-       use mysql logger spawn-fcgi ldap
-       after sshd
-}
-                       
-start() {
-       ebegin "Starting lighttpd"
-       start-stop-daemon --start --quiet --exec ${LIGHTTPD_BIN} -- \
-               -f ${LIGHTTPD_CONF}
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping lighttpd"
-       start-stop-daemon --stop --quiet --exec ${LIGHTTPD_BIN}
-       eend $?
-}

diff --git 
a/www-servers/lighttpd/files/lighttpd-1.4.13-deprecated-ldap-api.diff 
b/www-servers/lighttpd/files/lighttpd-1.4.13-deprecated-ldap-api.diff
deleted file mode 100644
index 657b0f6..0000000
--- a/www-servers/lighttpd/files/lighttpd-1.4.13-deprecated-ldap-api.diff
+++ /dev/null
@@ -1,10 +0,0 @@
---- lighttpd-1.4.13.old/src/Makefile.am        2006-10-09 12:19:34.000000000 
-0400
-+++ lighttpd-1.4.13/src/Makefile.am    2007-03-26 10:10:26.000000000 -0400
-@@ -213,6 +213,7 @@
- mod_auth_la_SOURCES = mod_auth.c http_auth_digest.c http_auth.c
- mod_auth_la_LDFLAGS = -module -export-dynamic -avoid-version -no-undefined
- mod_auth_la_LIBADD = $(CRYPT_LIB) $(LDAP_LIB) $(LBER_LIB) $(common_libadd)
-+mod_auth_la_CFLAGS = -DLDAP_DEPRECATED $(GTHREAD_CFLAGS)
- 
- lib_LTLIBRARIES += mod_rewrite.la
- mod_rewrite_la_SOURCES = mod_rewrite.c

diff --git a/www-servers/lighttpd/files/lighttpd-1.5.0_pre1992-ldap.patch 
b/www-servers/lighttpd/files/lighttpd-1.5.0_pre1992-ldap.patch
deleted file mode 100644
index eedce49..0000000
--- a/www-servers/lighttpd/files/lighttpd-1.5.0_pre1992-ldap.patch
+++ /dev/null
@@ -1,499 +0,0 @@
-Index: src/http_auth.c
-===================================================================
---- src/http_auth.c    (Revision 2025)
-+++ src/http_auth.c    (Arbeitskopie)
-@@ -54,6 +54,7 @@
-  */
- 
- handler_t auth_ldap_init(server *srv, mod_auth_plugin_config *s);
-+void auth_ldap_cleanup(ldap_plugin_config *p);
- 
- static const char base64_pad = '=';
- 
-@@ -697,12 +698,13 @@
-               }
-       } else if (p->conf.auth_backend == AUTH_BACKEND_LDAP) {
- #ifdef USE_LDAP
--              LDAP *ldap;
--              LDAPMessage *lm, *first;
--              char *dn;
--              int ret;
-+              LDAP *ldap = NULL;
-+              LDAPMessage *lm = NULL, *first = NULL;
-+              struct berval credentials;
-+              char *dn = NULL;
-+              int ret = 0;
-               char *attrs[] = { LDAP_NO_ATTRS, NULL };
--              size_t i;
-+              size_t i = 0;
- 
-               /* for now we stay synchronous */
- 
-@@ -737,36 +739,59 @@
-               if (p->conf.auth_ldap_allow_empty_pw != 1 && pw[0] == '\0')
-                       return -1;
- 
-+              /* 2. */
-+
-+              if (p->conf.ldap->ldap == NULL) {
-+                      if(auth_ldap_init(srv, &p->conf) != HANDLER_GO_ON)
-+                              return -1;
-+              }
-+
-               /* build filter */
--              buffer_copy_string_buffer(p->ldap_filter, 
p->conf.ldap_filter_pre);
-+              buffer_copy_string_buffer(p->ldap_filter, 
p->conf.ldap->ldap_filter_pre);
-               buffer_append_string_buffer(p->ldap_filter, username);
--              buffer_append_string_buffer(p->ldap_filter, 
p->conf.ldap_filter_post);
-+              buffer_append_string_buffer(p->ldap_filter, 
p->conf.ldap->ldap_filter_post);
- 
-+              ret = ldap_search_ext_s(p->conf.ldap->ldap, 
p->conf.auth_ldap_basedn->ptr, LDAP_SCOPE_SUBTREE, p->ldap_filter->ptr, attrs, 
0, NULL, NULL, NULL, 0, &lm);
- 
--              /* 2. */
--              if (p->conf.ldap == NULL ||
--                  LDAP_SUCCESS != (ret = ldap_search_s(p->conf.ldap, 
p->conf.auth_ldap_basedn->ptr, LDAP_SCOPE_SUBTREE, p->ldap_filter->ptr, attrs, 
0, &lm))) {
--                      if (auth_ldap_init(srv, &p->conf) != HANDLER_GO_ON)
-+              if (ret == LDAP_SERVER_DOWN) {
-+                      log_error_write(srv, __FILE__, __LINE__, "s",
-+                              "ldap: server down, try to reconnect");
-+
-+                      auth_ldap_cleanup(p->conf.ldap);
-+
-+                      if(auth_ldap_init(srv, &p->conf) != HANDLER_GO_ON)
-                               return -1;
--                      if (LDAP_SUCCESS != (ret = ldap_search_s(p->conf.ldap, 
p->conf.auth_ldap_basedn->ptr, LDAP_SCOPE_SUBTREE, p->ldap_filter->ptr, attrs, 
0, &lm))) {
- 
-+                      log_error_write(srv, __FILE__, __LINE__, "s",
-+                              "ldap: successfully reconnected");
-+              }
-+
-+              if (ret != LDAP_SUCCESS) {
-                       log_error_write(srv, __FILE__, __LINE__, "sssb",
--                                      "ldap:", ldap_err2string(ret), 
"filter:", p->ldap_filter);
-+                                      "ldap:", ldap_err2string(ret), ", 
filter:", p->ldap_filter);
- 
-                       return -1;
--                      }
-               }
- 
--              if (NULL == (first = ldap_first_entry(p->conf.ldap, lm))) {
--                      log_error_write(srv, __FILE__, __LINE__, "s", "ldap 
...");
-+              if (ldap_count_entries(p->conf.ldap->ldap, lm) > 1) {
-+                      log_error_write(srv, __FILE__, __LINE__, "ssb",
-+                              "ldap:", "more than one record returned, you 
might have to refine the filter:", p->ldap_filter);
-+              }
- 
-+              first = ldap_first_entry(p->conf.ldap->ldap, lm);
-+              if (first == NULL) {
-+                      ldap_get_option(p->conf.ldap->ldap, 
LDAP_OPT_ERROR_NUMBER, &ret);
-+                      log_error_write(srv, __FILE__, __LINE__, "ss", "ldap:", 
ldap_err2string(ret));
-+
-                       ldap_msgfree(lm);
- 
-                       return -1;
-               }
- 
--              if (NULL == (dn = ldap_get_dn(p->conf.ldap, first))) {
--                      log_error_write(srv, __FILE__, __LINE__, "s", "ldap 
...");
-+              dn = ldap_get_dn(p->conf.ldap->ldap, first);
-+              if (dn == NULL) {
-+                      ldap_get_option(p->conf.ldap->ldap, 
LDAP_OPT_ERROR_NUMBER, &ret);
-+                      log_error_write(srv, __FILE__, __LINE__, "ss", "ldap:", 
ldap_err2string(ret));
- 
-                       ldap_msgfree(lm);
- 
-@@ -775,43 +800,62 @@
- 
-               ldap_msgfree(lm);
- 
-+              /* 3. */
-+              ret = ldap_initialize(&ldap, p->conf.auth_ldap_url->ptr);
-+              if (ret) {
-+                      log_error_write(srv, __FILE__, __LINE__, "ss", "ldap:", 
ldap_err2string(ret));
- 
--              /* 3. */
--              if (NULL == (ldap = ldap_init(p->conf.auth_ldap_hostname->ptr, 
LDAP_PORT))) {
--                      log_error_write(srv, __FILE__, __LINE__, "ss", "ldap 
...", strerror(errno));
-+                      ldap_memfree(dn);
-+
-                       return -1;
-               }
- 
--              ret = LDAP_VERSION3;
--              if (LDAP_OPT_SUCCESS != (ret = ldap_set_option(ldap, 
LDAP_OPT_PROTOCOL_VERSION, &ret))) {
-+              const int ldap_version = LDAP_VERSION3;
-+              ret = ldap_set_option(ldap, LDAP_OPT_PROTOCOL_VERSION, 
&ldap_version);
-+              if (ret != LDAP_OPT_SUCCESS) {
-                       log_error_write(srv, __FILE__, __LINE__, "ss", "ldap:", 
ldap_err2string(ret));
- 
--                      ldap_unbind_s(ldap);
-+                      ldap_memfree(ldap);
-+                      ldap_memfree(dn);
- 
-                       return -1;
-               }
- 
-               if (p->conf.auth_ldap_starttls == 1) {
--                      if (LDAP_OPT_SUCCESS != (ret = ldap_start_tls_s(ldap, 
NULL,  NULL))) {
-+                      ret = ldap_start_tls_s(ldap, NULL,  NULL);
-+                      if (ret != LDAP_OPT_SUCCESS) {
-                               log_error_write(srv, __FILE__, __LINE__, "ss", 
"ldap startTLS failed:", ldap_err2string(ret));
- 
--                              ldap_unbind_s(ldap);
-+                              ldap_memfree(ldap);
-+                              ldap_memfree(dn);
- 
-                               return -1;
-                       }
-               }
- 
-+              /* Don't initialize it using " = {...}" since upstream doesn't
-+               * guarantee an order and the compiler only issues a warning 
when
-+               * passing an int as the pointer and vice-versa.
-+               * We have to cast away the const since berval is a general 
struct,
-+               * but ldap_sasl_bind_s doesn't write to the *pw location
-+               */
-+              credentials.bv_val = (char*)pw;
-+              credentials.bv_len = strlen(pw);
- 
--              if (LDAP_SUCCESS != (ret = ldap_simple_bind_s(ldap, dn, pw))) {
-+              /* TODO: add funtionality to specify LDAP_SASL_EXTERNAL (or 
GSS-SPNEGO, etc.) */
-+              ret = ldap_sasl_bind_s(ldap, dn, LDAP_SASL_SIMPLE, 
&credentials, NULL, NULL, NULL);
-+              if (ret != LDAP_SUCCESS) {
-                       log_error_write(srv, __FILE__, __LINE__, "ss", "ldap:", 
ldap_err2string(ret));
- 
--                      ldap_unbind_s(ldap);
-+                      ldap_memfree(ldap);
-+                      ldap_memfree(dn);
- 
-                       return -1;
-               }
- 
-               /* 5. */
--              ldap_unbind_s(ldap);
-+              ldap_unbind_ext_s(ldap, NULL, NULL);
-+              ldap_memfree(dn);
- 
-               /* everything worked, good, access granted */
- 
-Index: src/http_auth.h
-===================================================================
---- src/http_auth.h    (Revision 2025)
-+++ src/http_auth.h    (Arbeitskopie)
-@@ -17,7 +17,16 @@
-       AUTH_BACKEND_HTDIGEST
- } auth_backend_t;
- 
-+#ifdef USE_LDAP
- typedef struct {
-+      LDAP *ldap;
-+
-+      buffer *ldap_filter_pre;
-+      buffer *ldap_filter_post;
-+} ldap_plugin_config;
-+#endif
-+
-+typedef struct {
-       /* auth */
-       array  *auth_require;
- 
-@@ -29,7 +38,7 @@
- 
-       buffer *auth_backend_conf;
- 
--      buffer *auth_ldap_hostname;
-+      buffer *auth_ldap_url;
-       buffer *auth_ldap_basedn;
-       buffer *auth_ldap_binddn;
-       buffer *auth_ldap_bindpw;
-@@ -46,10 +55,7 @@
-       auth_backend_t auth_backend;
- 
- #ifdef USE_LDAP
--      LDAP *ldap;
--
--      buffer *ldap_filter_pre;
--      buffer *ldap_filter_post;
-+      ldap_plugin_config *ldap;
- #endif
- } mod_auth_plugin_config;
- 
-Index: src/mod_auth.c
-===================================================================
---- src/mod_auth.c     (Revision 2025)
-+++ src/mod_auth.c     (Arbeitskopie)
-@@ -16,8 +16,8 @@
- #include "sys-files.h"
- 
- handler_t auth_ldap_init(server *srv, mod_auth_plugin_config *s);
-+void auth_ldap_cleanup(ldap_plugin_config* p);
- 
--
- /**
-  * the basic and digest auth framework
-  *
-@@ -74,7 +74,7 @@
-                       buffer_free(s->auth_htpasswd_userfile);
-                       buffer_free(s->auth_backend_conf);
- 
--                      buffer_free(s->auth_ldap_hostname);
-+                      buffer_free(s->auth_ldap_url);
-                       buffer_free(s->auth_ldap_basedn);
-                       buffer_free(s->auth_ldap_binddn);
-                       buffer_free(s->auth_ldap_bindpw);
-@@ -84,10 +84,11 @@
-                       buffer_free(s->auth_ldap_key);
- 
- #ifdef USE_LDAP
--                      buffer_free(s->ldap_filter_pre);
--                      buffer_free(s->ldap_filter_post);
-+                      buffer_free(s->ldap->ldap_filter_pre);
-+                      buffer_free(s->ldap->ldap_filter_post);
- 
--                      if (s->ldap) ldap_unbind_s(s->ldap);
-+                      auth_ldap_cleanup(s->ldap);
-+                      free(s->ldap);
- #endif
- 
-                       free(s);
-@@ -111,7 +112,7 @@
-       PATCH_OPTION(auth_htpasswd_userfile);
-       PATCH_OPTION(auth_require);
-       PATCH_OPTION(auth_debug);
--      PATCH_OPTION(auth_ldap_hostname);
-+      PATCH_OPTION(auth_ldap_url);
-       PATCH_OPTION(auth_ldap_basedn);
-       PATCH_OPTION(auth_ldap_binddn);
-       PATCH_OPTION(auth_ldap_bindpw);
-@@ -123,8 +124,6 @@
-       PATCH_OPTION(auth_ldap_allow_empty_pw);
- #ifdef USE_LDAP
-       PATCH_OPTION(ldap);
--      PATCH_OPTION(ldap_filter_pre);
--      PATCH_OPTION(ldap_filter_post);
- #endif
- 
-       /* skip the first, the global context */
-@@ -153,15 +152,17 @@
-                               PATCH_OPTION(auth_require);
-                       } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.debug"))) {
-                               PATCH_OPTION(auth_debug);
--                      } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.backend.ldap.hostname"))) {
--                              PATCH_OPTION(auth_ldap_hostname);
-+                      } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.backend.ldap.url"))) {
-+                              PATCH_OPTION(auth_ldap_url);
- #ifdef USE_LDAP
-                               PATCH_OPTION(ldap);
--                              PATCH_OPTION(ldap_filter_pre);
--                              PATCH_OPTION(ldap_filter_post);
- #endif
-                       } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.backend.ldap.base-dn"))) {
-                               PATCH_OPTION(auth_ldap_basedn);
-+                      } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.backend.ldap.bind-dn"))) {
-+                              PATCH_OPTION(auth_ldap_binddn);
-+                      } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.backend.ldap.bind-pw"))) {
-+                              PATCH_OPTION(auth_ldap_bindpw);
-                       } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.backend.ldap.filter"))) {
-                               PATCH_OPTION(auth_ldap_filter);
-                       } else if (buffer_is_equal_string(du->key, 
CONST_STR_LEN("auth.backend.ldap.ca-file"))) {
-@@ -318,7 +319,7 @@
-               { "auth.backend.plain.groupfile",   NULL, T_CONFIG_STRING, 
T_CONFIG_SCOPE_CONNECTION }, /* 1 */
-               { "auth.backend.plain.userfile",    NULL, T_CONFIG_STRING, 
T_CONFIG_SCOPE_CONNECTION }, /* 2 */
-               { "auth.require",                   NULL, T_CONFIG_LOCAL, 
T_CONFIG_SCOPE_CONNECTION },  /* 3 */
--              { "auth.backend.ldap.hostname",     NULL, T_CONFIG_STRING, 
T_CONFIG_SCOPE_CONNECTION }, /* 4 */
-+              { "auth.backend.ldap.url"     ,     NULL, T_CONFIG_STRING, 
T_CONFIG_SCOPE_CONNECTION }, /* 4 */
-               { "auth.backend.ldap.base-dn",      NULL, T_CONFIG_STRING, 
T_CONFIG_SCOPE_CONNECTION }, /* 5 */
-               { "auth.backend.ldap.filter",       NULL, T_CONFIG_STRING, 
T_CONFIG_SCOPE_CONNECTION }, /* 6 */
-               { "auth.backend.ldap.ca-file",      NULL, T_CONFIG_STRING, 
T_CONFIG_SCOPE_CONNECTION }, /* 7 */
-@@ -349,7 +350,7 @@
-               s->auth_htpasswd_userfile = buffer_init();
-               s->auth_backend_conf = buffer_init();
- 
--              s->auth_ldap_hostname = buffer_init();
-+              s->auth_ldap_url    = buffer_init();
-               s->auth_ldap_basedn = buffer_init();
-               s->auth_ldap_binddn = buffer_init();
-               s->auth_ldap_bindpw = buffer_init();
-@@ -363,16 +364,17 @@
-               s->auth_require = array_init();
- 
- #ifdef USE_LDAP
--              s->ldap_filter_pre = buffer_init();
--              s->ldap_filter_post = buffer_init();
--              s->ldap = NULL;
-+              s->ldap = malloc (sizeof(ldap_plugin_config));
-+              s->ldap->ldap_filter_pre = buffer_init();
-+              s->ldap->ldap_filter_post = buffer_init();
-+              s->ldap->ldap = NULL;
- #endif
- 
-               cv[0].destination = s->auth_backend_conf;
-               cv[1].destination = s->auth_plain_groupfile;
-               cv[2].destination = s->auth_plain_userfile;
-               cv[3].destination = s->auth_require;
--              cv[4].destination = s->auth_ldap_hostname;
-+              cv[4].destination = s->auth_ldap_url;
-               cv[5].destination = s->auth_ldap_basedn;
-               cv[6].destination = s->auth_ldap_filter;
-               cv[7].destination = s->auth_ldap_cafile;
-@@ -519,33 +521,17 @@
-                               array_insert_unique(s->auth_require, 
(data_unset *)a);
-                       }
-               }
-+      }
- 
--              switch(s->auth_backend) {
--              case AUTH_BACKEND_LDAP: {
--                      handler_t ret = auth_ldap_init(srv, s);
--                      if (ret == HANDLER_ERROR)
--                              return (ret);
--                        break;
--              }
--                default:
--                        break;
--                }
--        }
--
--        return HANDLER_GO_ON;
-+      return HANDLER_GO_ON;
- }
- 
- handler_t auth_ldap_init(server *srv, mod_auth_plugin_config *s) {
- #ifdef USE_LDAP
-                       int ret;
--#if 0
--                      if (s->auth_ldap_basedn->used == 0) {
--                              log_error_write(srv, __FILE__, __LINE__, "s", 
"ldap: auth.backend.ldap.base-dn has to be set");
-+                      struct berval credentials;
-+                      char *binddn_ptr = NULL;
- 
--                              return HANDLER_ERROR;
--                      }
--#endif
--
-                       if (s->auth_ldap_filter->used) {
-                               char *dollar;
- 
-@@ -557,25 +543,29 @@
-                                       return HANDLER_ERROR;
-                               }
- 
--                              buffer_copy_string_len(s->ldap_filter_pre, 
s->auth_ldap_filter->ptr, dollar - s->auth_ldap_filter->ptr);
--                              buffer_copy_string(s->ldap_filter_post, 
dollar+1);
-+                              
buffer_copy_string_len(s->ldap->ldap_filter_pre, s->auth_ldap_filter->ptr, 
dollar - s->auth_ldap_filter->ptr);
-+                              buffer_copy_string(s->ldap->ldap_filter_post, 
dollar+1);
-                       }
- 
--                      if (s->auth_ldap_hostname->used) {
--                              if (NULL == (s->ldap = 
ldap_init(s->auth_ldap_hostname->ptr, LDAP_PORT))) {
--                                      log_error_write(srv, __FILE__, 
__LINE__, "ss", "ldap ...", strerror(errno));
-+                      if (s->auth_ldap_url->used) {
-+                              if ((ret = ldap_initialize(&s->ldap->ldap, 
s->auth_ldap_url->ptr))) {
-+                                      log_error_write(srv, __FILE__, 
__LINE__, "ss", "ldap:", ldap_err2string(ret));
- 
-                                       return HANDLER_ERROR;
-                               }
- 
--                              ret = LDAP_VERSION3;
--                              if (LDAP_OPT_SUCCESS != (ret = 
ldap_set_option(s->ldap, LDAP_OPT_PROTOCOL_VERSION, &ret))) {
-+                              const int ldap_version = LDAP_VERSION3;
-+                              ret = ldap_set_option(s->ldap->ldap, 
LDAP_OPT_PROTOCOL_VERSION, &ldap_version);
-+                              if (ret != LDAP_OPT_SUCCESS) {
-                                       log_error_write(srv, __FILE__, 
__LINE__, "ss", "ldap:", ldap_err2string(ret));
- 
-+                                      ldap_memfree(s->ldap->ldap);
-+                                      s->ldap->ldap = NULL;
-+
-                                       return HANDLER_ERROR;
-                               }
- 
--                              if (s->auth_ldap_starttls) {
-+                              if (s->auth_ldap_starttls == 1) {
-                                       /* if no CA file is given, it is ok, as 
we will use encryption
-                                        * if the server requires a CAfile it 
will tell us */
-                                       if 
(!buffer_is_empty(s->auth_ldap_cafile)) {
-@@ -584,6 +574,9 @@
-                                                       log_error_write(srv, 
__FILE__, __LINE__, "ss",
-                                                                       
"Loading CA certificate failed:", ldap_err2string(ret));
- 
-+                                                      
ldap_memfree(s->ldap->ldap);
-+                                                      s->ldap->ldap = NULL;
-+
-                                                       return HANDLER_ERROR;
-                                               }
-                                       }
-@@ -594,6 +587,9 @@
-                                                       log_error_write(srv, 
__FILE__, __LINE__, "ss",
-                                                                       
"Loading TLS certificate failed:", ldap_err2string(ret));
- 
-+                                                      
ldap_memfree(s->ldap->ldap);
-+                                                      s->ldap->ldap = NULL;
-+
-                                                       return HANDLER_ERROR;
-                                               }
-                                       }
-@@ -604,13 +600,19 @@
-                                                       log_error_write(srv, 
__FILE__, __LINE__, "ss",
-                                                                       
"Loading TLS key certificate failed:", ldap_err2string(ret));
- 
-+                                                      
ldap_memfree(s->ldap->ldap);
-+                                                      s->ldap->ldap = NULL;
-+
-                                                       return HANDLER_ERROR;
-                                               }
-                                       }
- 
--                                      if (LDAP_OPT_SUCCESS != (ret = 
ldap_start_tls_s(s->ldap, NULL,  NULL))) {
-+                                      if (LDAP_OPT_SUCCESS != (ret = 
ldap_start_tls_s(s->ldap->ldap, NULL,  NULL))) {
-                                               log_error_write(srv, __FILE__, 
__LINE__, "ss", "ldap startTLS failed:", ldap_err2string(ret));
- 
-+                                              ldap_memfree(s->ldap->ldap);
-+                                              s->ldap->ldap = NULL;
-+
-                                               return HANDLER_ERROR;
-                                       }
-                               }
-@@ -618,17 +620,21 @@
- 
-                               /* 1. */
-                               if (s->auth_ldap_binddn->used) {
--                                      if (LDAP_SUCCESS != (ret = 
ldap_simple_bind_s(s->ldap, s->auth_ldap_binddn->ptr, 
s->auth_ldap_bindpw->ptr))) {
--                                              log_error_write(srv, __FILE__, 
__LINE__, "ss", "ldap:", ldap_err2string(ret));
--
--                                              return HANDLER_ERROR;
--                                      }
-+                                      credentials.bv_val = 
s->auth_ldap_bindpw->ptr;
-+                                      credentials.bv_len = 
s->auth_ldap_bindpw->used;
-+                                      binddn_ptr = s->auth_ldap_binddn->ptr;
-                               } else {
--                                      if (LDAP_SUCCESS != (ret = 
ldap_simple_bind_s(s->ldap, NULL, NULL))) {
--                                              log_error_write(srv, __FILE__, 
__LINE__, "ss", "ldap:", ldap_err2string(ret));
-+                                      credentials.bv_val = NULL;
-+                                      credentials.bv_len = 0;
-+                                      binddn_ptr = NULL;
-+                              }
-+                              ret = ldap_sasl_bind_s(s->ldap->ldap, 
s->auth_ldap_binddn->ptr, LDAP_SASL_SIMPLE, &credentials, NULL, NULL, NULL);
-+                              if(ret != LDAP_SUCCESS) {
-+                                      log_error_write(srv, __FILE__, 
__LINE__, "ss", "ldap:", ldap_err2string(ret));
- 
--                                              return HANDLER_ERROR;
--                                      }
-+                                      ldap_memfree(s->ldap->ldap);
-+                                      s->ldap->ldap = NULL;
-+                                      return HANDLER_ERROR;
-                               }
-                       }
- #else
-@@ -639,6 +645,12 @@
-               return HANDLER_GO_ON;
- }
- 
-+void auth_ldap_cleanup(ldap_plugin_config *p) {
-+      if (p->ldap != NULL)
-+              ldap_unbind_ext_s(p->ldap, NULL, NULL);
-+      p->ldap = NULL;
-+}
-+
- LI_EXPORT int mod_auth_plugin_init(plugin *p) {
-       p->version     = LIGHTTPD_VERSION_ID;
-       p->name        = buffer_init_string("auth");

diff --git a/www-servers/lighttpd/files/lighttpd.confd 
b/www-servers/lighttpd/files/lighttpd.confd
deleted file mode 100644
index e81b63f..0000000
--- a/www-servers/lighttpd/files/lighttpd.confd
+++ /dev/null
@@ -1,12 +0,0 @@
-# /etc/conf.d/lighttpd
-
-# Location of a shell used by the 'include_shell' directive
-# in the lighttpd's configuration file - fixes bug#140349
-SHELL="/bin/bash"
-
-# Location of the lighttpd configuration file
-LIGHTTPD_CONF="/etc/lighttpd/lighttpd.conf"
-
-# Location of the lighttpd pid file
-LIGHTTPD_PID="/var/run/lighttpd.pid"
-

diff --git a/www-servers/lighttpd/files/lighttpd.initd 
b/www-servers/lighttpd/files/lighttpd.initd
deleted file mode 100644
index b914727..0000000
--- a/www-servers/lighttpd/files/lighttpd.initd
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd.initd,v 
1.11 2006/11/05 12:28:05 bangert Exp $
-
-opts="depend checkconfig start stop reload"
-
-depend() {
-       need net
-       use mysql logger spawn-fcgi ldap slapd
-       after famd
-       after sshd
-}
-
-checkconfig() {
-       if [[ ! -f ${LIGHTTPD_CONF} ]] ; then
-               ewarn "${LIGHTTPD_CONF} does not exist."
-               return 1
-       fi
-
-       /usr/sbin/lighttpd -t -f ${LIGHTTPD_CONF} >/dev/null
-}
-                       
-start() {
-       checkconfig || return 1
-
-       ebegin "Starting lighttpd"
-       start-stop-daemon --start --quiet \
-               --background --pidfile ${LIGHTTPD_PID} \
-               --exec /usr/sbin/lighttpd -- -f ${LIGHTTPD_CONF}
-       eend $?
-}
-
-stop() {
-       local rv=0
-       ebegin "Stopping lighttpd"
-       if start-stop-daemon --stop --quiet --pidfile ${LIGHTTPD_PID} \
-                       --signal 2 ; then
-               rm -f ${LIGHTTPD_PID} 
-       else
-               rv=1
-       fi
-       eend $rv
-}
-
-reload() {
-       if [ ! -f ${LIGHTTPD_PID} ]; then
-               eerror "lighttpd isn't running"
-               return 1
-       fi
-       checkconfig || return 1
-       ebegin "Re-opening lighttpd log files"
-       kill -HUP `cat ${LIGHTTPD_PID}` &>/dev/null
-       eend $?
-}

diff --git a/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r1 
b/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r1
deleted file mode 100644
index 464ad77..0000000
--- a/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r1
+++ /dev/null
@@ -1,71 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r1,v 
1.2 2007/01/09 20:56:24 robbat2 Exp $
-
-opts="depend checkconfig start stop reload graceful"
-
-depend() {
-       need net
-       use mysql logger spawn-fcgi ldap slapd
-       after famd
-       after sshd
-}
-
-checkconfig() {
-       if [[ ! -f ${LIGHTTPD_CONF} ]] ; then
-               ewarn "${LIGHTTPD_CONF} does not exist."
-               return 1
-       fi
-
-       /usr/sbin/lighttpd -t -f ${LIGHTTPD_CONF} >/dev/null
-}
-                       
-start() {
-       checkconfig || return 1
-
-       ebegin "Starting lighttpd"
-       start-stop-daemon --start --quiet \
-               --background --pidfile ${LIGHTTPD_PID} \
-               --exec /usr/sbin/lighttpd -- -f ${LIGHTTPD_CONF}
-       eend $?
-}
-
-stop() {
-       local rv=0
-       ebegin "Stopping lighttpd"
-       if start-stop-daemon --stop --quiet --pidfile ${LIGHTTPD_PID} \
-                       --signal 2 ; then
-               rm -f ${LIGHTTPD_PID} 
-       else
-               rv=1
-       fi
-       eend $rv
-}
-
-reload() {
-       if [ ! -f ${LIGHTTPD_PID} ]; then
-               eerror "lighttpd isn't running"
-               return 1
-       fi
-       checkconfig || return 1
-       ebegin "Re-opening lighttpd log files"
-       kill -HUP $(<${LIGHTTPD_PID}) &>/dev/null
-       eend $?
-}
-
-graceful() {
-       if ! service_started "${myservice}" ; then
-               eerror "Lighttpd is not running! Please start it before trying 
to reload it."
-       else
-               checkconfig || return 1
-               ebegin "Gracefully stopping lighttpd"
-               ## s-s-d for consistency or kill because it's cleaner?
-               ## s-s-d causes a 5 second delay here
-               #start-stop-daemon --stop --quiet --pidfile ${LIGHTTPD_PID} \
-               #       --signal SIGINT
-               kill -INT $(<${LIGHTTPD_PID})
-               rm -f ${LIGHTTPD_PID}
-               start
-       fi
-}

diff --git a/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r2 
b/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r2
deleted file mode 100644
index 606c283..0000000
--- a/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r2
+++ /dev/null
@@ -1,68 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r2,v 
1.1 2007/04/01 22:55:08 robbat2 Exp $
-
-opts="reload graceful"
-
-depend() {
-       need net
-       use mysql logger spawn-fcgi ldap slapd
-       after famd
-       after sshd
-}
-
-checkconfig() {
-       if [ ! -f "${LIGHTTPD_CONF}" ] ; then
-               ewarn "${LIGHTTPD_CONF} does not exist."
-               return 1
-       fi
-
-       /usr/sbin/lighttpd -t -f ${LIGHTTPD_CONF} >/dev/null
-}
-                       
-start() {
-       checkconfig || return 1
-
-       ebegin "Starting lighttpd"
-       start-stop-daemon --start --quiet \
-               --background --pidfile "${LIGHTTPD_PID}" \
-               --exec /usr/sbin/lighttpd -- -f "${LIGHTTPD_CONF}"
-       eend $?
-}
-
-stop() {
-       local rv=0
-       ebegin "Stopping lighttpd"
-       start-stop-daemon --stop --quiet --pidfile "${LIGHTTPD_PID}"
-       eend $?
-}
-
-reload() {
-       if ! service_started "${SVCNAME}" ; then
-               eerror "${SVCNAME} isn't running"
-               return 1
-       fi
-       checkconfig || return 1
-
-       ebegin "Re-opening lighttpd log files"
-       start-stop-daemon --stop --oknodo --quiet --pidfile "${LIGHTTPD_PID}" \
-               --signal HUP
-       eend $?
-}
-
-graceful() {
-       if ! service_started "${SVCNAME}" ; then
-               eerror "${SVCNAME} isn't running"
-               return 1
-       fi
-       checkconfig || return 1
-
-       ebegin "Gracefully stopping lighttpd"
-       start-stop-daemon --stop --oknodo --quiet --pidfile "${LIGHTTPD_PID}" \
-               --signal INT
-       if eend $? ; then
-               rm -f "${LIGHTTPD_PID}"
-               start
-       fi
-}

diff --git a/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r3 
b/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r3
deleted file mode 100644
index d5dbf2a..0000000
--- a/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r3
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2005 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd.initd-1.4.13-r3,v 
1.1 2007/04/10 10:34:20 robbat2 Exp $
-
-opts="reload graceful"
-
-depend() {
-       need net
-       use mysql logger spawn-fcgi ldap slapd
-       after famd
-       after sshd
-}
-
-checkconfig() {
-       if [ ! -f "${LIGHTTPD_CONF}" ] ; then
-               ewarn "${LIGHTTPD_CONF} does not exist."
-               return 1
-       fi
-
-       /usr/sbin/lighttpd -t -f ${LIGHTTPD_CONF} >/dev/null
-}
-                       
-start() {
-       checkconfig || return 1
-
-       ebegin "Starting lighttpd"
-       start-stop-daemon --start --quiet --exec /usr/sbin/lighttpd \
-               --pidfile "${LIGHTTPD_PID}" -- -f "${LIGHTTPD_CONF}"
-       eend $?
-}
-
-stop() {
-       local rv=0
-       ebegin "Stopping lighttpd"
-       start-stop-daemon --stop --quiet --pidfile "${LIGHTTPD_PID}"
-       eend $?
-}
-
-reload() {
-       if ! service_started "${SVCNAME}" ; then
-               eerror "${SVCNAME} isn't running"
-               return 1
-       fi
-       checkconfig || return 1
-
-       ebegin "Re-opening lighttpd log files"
-       start-stop-daemon --stop --oknodo --quiet --pidfile "${LIGHTTPD_PID}" \
-               --signal HUP
-       eend $?
-}
-
-graceful() {
-       if ! service_started "${SVCNAME}" ; then
-               eerror "${SVCNAME} isn't running"
-               return 1
-       fi
-       checkconfig || return 1
-
-       ebegin "Gracefully stopping lighttpd"
-       start-stop-daemon --stop --oknodo --quiet --pidfile "${LIGHTTPD_PID}" \
-               --signal INT
-       if eend $? ; then
-               rm -f "${LIGHTTPD_PID}"
-               start
-       fi
-}

diff --git a/www-servers/lighttpd/files/lighttpd.logrotate 
b/www-servers/lighttpd/files/lighttpd.logrotate
deleted file mode 100644
index 76f0ef3..0000000
--- a/www-servers/lighttpd/files/lighttpd.logrotate
+++ /dev/null
@@ -1,17 +0,0 @@
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd.logrotate,v 1.2 
2006/05/30 19:49:29 bangert Exp $
-# lighttpd logrotate script for Gentoo
-
-/var/log/lighttpd/*.log {
-        daily
-        missingok
-               copytruncate
-        rotate 7
-        compress
-        notifempty
-        sharedscripts
-        postrotate
-           if [ -f /var/run/lighttpd.pid ]; then \
-                /etc/init.d/lighttpd reload > /dev/null 2>&1 || true ; \
-           fi;
-        endscript
-}

diff --git a/www-servers/lighttpd/files/spawn-fcgi-1.5-allow-uids.patch 
b/www-servers/lighttpd/files/spawn-fcgi-1.5-allow-uids.patch
deleted file mode 100644
index cfaa948..0000000
--- a/www-servers/lighttpd/files/spawn-fcgi-1.5-allow-uids.patch
+++ /dev/null
@@ -1,113 +0,0 @@
-Index: src/spawn-fcgi.c
-===================================================================
---- src/spawn-fcgi.c   (Revision 1820)
-+++ src/spawn-fcgi.c   (Arbeitskopie)
-@@ -390,40 +390,59 @@
-       if (i_am_root) {
-               struct group *grp = NULL;
-               struct passwd *pwd = NULL;
-+              unsigned int uid = 0;
-+              unsigned int gid = 0;
- 
-               /* set user and group */
- 
-               if (username) {
--                      if (NULL == (pwd = getpwnam(username))) {
--                              fprintf(stderr, "%s.%d: %s, %s\n",
--                                      __FILE__, __LINE__,
--                                      "can't find username", username);
--                              return -1;
-+                      /* do we already have an id? */
-+                      if (sscanf(username, "%u", &uid) == 1) {
-+                              username = NULL;
-+                              if (!groupname) {
-+                                      fprintf(stderr, "%s.%d: %s\n",
-+                                              __FILE__, __LINE__,
-+                                              "giving a uid also requires 
passing a groupname/gid\n");
-+                                      return -1;
-+                              }
-+                      } else {
-+                              if (NULL == (pwd = getpwnam(username))) {
-+                                      fprintf(stderr, "%s.%d: %s, %s\n",
-+                                              __FILE__, __LINE__,
-+                                              "can't find username", 
username);
-+                                      return -1;
-+                              }
-+                              uid = pwd->pw_uid;
-                       }
--
--                      if (pwd->pw_uid == 0) {
--                              fprintf(stderr, "%s.%d: %s\n",
--                                      __FILE__, __LINE__,
--                                      "I will not set uid to 0\n");
--                              return -1;
--                      }
-               }
-+              if (uid == 0) {
-+                      fprintf(stderr, "%s.%d: %s\n",
-+                              __FILE__, __LINE__,
-+                              "I will not set uid to 0\n");
-+                      return -1;
-+              }
- 
-               if (groupname) {
--                      if (NULL == (grp = getgrnam(groupname))) {
--                              fprintf(stderr, "%s.%d: %s %s\n",
--                                      __FILE__, __LINE__,
--                                      "can't find groupname",
--                                      groupname);
--                              return -1;
-+                      /* do we already have an id? */
-+                      if (sscanf(groupname, "%u", &gid) == 1) {
-+                              groupname = NULL;
-+                      } else {
-+                              if (NULL == (grp = getgrnam(groupname))) {
-+                                      fprintf(stderr, "%s.%d: %s %s\n",
-+                                              __FILE__, __LINE__,
-+                                              "can't find groupname",
-+                                              groupname);
-+                                      return -1;
-+                              }
-+                              gid = grp->gr_gid;
-                       }
--                      if (grp->gr_gid == 0) {
--                              fprintf(stderr, "%s.%d: %s\n",
--                                      __FILE__, __LINE__,
--                                      "I will not set gid to 0\n");
--                              return -1;
--                      }
-               }
-+              if (gid == 0) {
-+                      fprintf(stderr, "%s.%d: %s\n",
-+                              __FILE__, __LINE__,
-+                              "I will not set gid to 0\n");
-+                      return -1;
-+              }
- 
-               if (changeroot) {
-                       if (-1 == chroot(changeroot)) {
-@@ -441,14 +460,18 @@
-               }
- 
-               /* drop root privs */
--              if (groupname) {
--                      setgid(grp->gr_gid);
-+              if (gid) {
-+                      setgid(gid);
-               }
--              if (username) {
--                      if (groupname) {
--                              initgroups(username, grp->gr_gid);
-+              if (uid) {
-+                      if (gid) {
-+                              if (username) {
-+                                      initgroups(username, gid);
-+                              } else {
-+                                      setgroups(0, (const gid_t*)NULL);
-+                              }
-                       }
--                      setuid(pwd->pw_uid);
-+                      setuid(uid);
-               }
-       }
- 

diff --git a/www-servers/lighttpd/files/spawn-fcgi.confd 
b/www-servers/lighttpd/files/spawn-fcgi.confd
deleted file mode 100644
index 2a88806..0000000
--- a/www-servers/lighttpd/files/spawn-fcgi.confd
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/spawn-fcgi.confd,v 1.1 
2005/02/14 11:39:01 ka0ttic Exp $
-
-# Configuration file for the FCGI-Part of /etc/init.d/lighttpd
-
-## Set this to "yes" to enable SPAWNFCGI
-ENABLE_SPAWNFCGI="yes"
-
-## ABSOLUTE path to the spawn-fcgi binary
-SPAWNFCGI="/usr/bin/spawn-fcgi"
-
-## ABSOLUTE path to the PHP binary
-FCGIPROGRAM="/usr/bin/php-cgi"
-
-## bind to tcp-port on localhost
-FCGIPORT="1026"
-
-## number of PHP childs to spawn
-PHP_FCGI_CHILDREN=5
-
-## number of request server by a single php-process until is will be restarted
-PHP_FCGI_MAX_REQUESTS=1000
-
-## IP adresses where PHP should access server connections from
-FCGI_WEB_SERVER_ADDRS="127.0.0.1"
-
-# allowed environment variables sperated by spaces
-ALLOWED_ENV="PATH USER"
-# do NOT change line below
-ALLOWED_ENV="$ALLOWED_ENV PHP_FCGI_MAX_REQUESTS FCGI_WEB_SERVER_ADDRS"
-
-## if this script is run as root switch to the following user
-USERID=lighttpd
-GROUPID=lighttpd

diff --git a/www-servers/lighttpd/files/spawn-fcgi.initd 
b/www-servers/lighttpd/files/spawn-fcgi.initd
deleted file mode 100644
index 63daa75..0000000
--- a/www-servers/lighttpd/files/spawn-fcgi.initd
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2004 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/files/spawn-fcgi.initd,v 1.2 
2007/04/02 12:46:08 uberlord Exp $
-
-SPAWNFCGI_PID="/var/run/spawn-fcgi.pid"
-
-depend() {
-        need net
-}
-
-start() {
-        local my_end
-
-        ebegin "Starting spawn-fcgi"
-        export PHP_FCGI_MAX_REQUESTS FCGI_WEB_SERVER_ADDRS
-
-        EX="${SPAWNFCGI} -p ${FCGIPORT} -f ${FCGIPROGRAM} -u ${USERID} \
-                -g ${GROUPID} -C ${PHP_FCGI_CHILDREN}"
-
-        # copy the allowed environment variables
-        unset E
-        for i in ${ALLOWED_ENV}; do
-                E="${E} ${i}=${!i}"
-        done
-
-        # clean environment and set up a new one
-        env - ${E} ${EX} 2>${SPAWNFCGI_PID}
-        my_end=$?
-        if [ "$my_end" != "0" ]; then
-                [ -f ${SPAWNFCGI_PID} ] && rm -f ${SPAWNFCGI_PID}
-                eend $my_end
-        fi
-
-        #extract parent-process-id and write it back to the file
-        FCGI_PPID=`cat ${SPAWNFCGI_PID} | cut -d':' -f4`
-        echo ${FCGI_PPID} > ${SPAWNFCGI_PID}
-        eend 0
-}
-
-stop() {
-        ebegin "Stopping spawn-fcgi"
-        if ! kill `cat ${SPAWNFCGI_PID}` ; then
-           eend $?
-           return 1
-       fi
-        if [ -w ${SPAWNFCGI_PID} ]; then
-                rm ${SPAWNFCGI_PID}
-        fi
-        eend 0
-}

diff --git a/www-servers/lighttpd/lighttpd-1.5.0_pre1992.ebuild 
b/www-servers/lighttpd/lighttpd-1.5.0_pre1992.ebuild
deleted file mode 100644
index 022fbab..0000000
--- a/www-servers/lighttpd/lighttpd-1.5.0_pre1992.ebuild
+++ /dev/null
@@ -1,222 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/www-servers/lighttpd/lighttpd-1.4.16.ebuild,v 1.8 
2007/08/15 01:55:54 jer Exp $
-
-WANT_AUTOCONF=latest
-WANT_AUTOMAKE=latest
-
-inherit eutils autotools depend.php
-
-MY_P="${P/_pre/-r}"
-
-DESCRIPTION="Lightweight high-performance web server"
-HOMEPAGE="http://www.lighttpd.net/";
-SRC_URI="http://www.lighttpd.net/download/${MY_P}.tar.gz";
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 
~sparc-fbsd ~x86-fbsd"
-IUSE="aio bzip2 doc fam fastcgi gdbm ipv6 ldap lua minimal memcache mysql pcre 
php rrdtool ssl test webdav xattr"
-
-RDEPEND=">=sys-libs/zlib-1.1
-       aio?      ( dev-libs/libaio )
-       bzip2?    ( app-arch/bzip2 )
-       fam?      ( virtual/fam )
-       gdbm?     ( sys-libs/gdbm )
-       ldap?     ( >=net-nds/openldap-2.1.26 )
-       lua?      ( >=dev-lang/lua-5.1 )
-       memcache? ( dev-libs/libmemcache )
-       mysql?    ( >=virtual/mysql-4.0 )
-       pcre?     ( >=dev-libs/libpcre-3.1 )
-       php?      ( virtual/httpd-php )
-       rrdtool? ( net-analyzer/rrdtool )
-       ssl?    ( >=dev-libs/openssl-0.9.7 )
-       webdav? (
-               dev-libs/libxml2
-               >=dev-db/sqlite-3
-               sys-fs/e2fsprogs
-       )
-       xattr? ( kernel_linux? ( sys-apps/attr ) )"
-
-DEPEND="${RDEPEND}
-       doc?  ( dev-python/docutils )
-       test? (
-               virtual/perl-Test-Harness
-               dev-libs/fcgi
-       )"
-
-S="${WORKDIR}/${PN}-1.5.0"
-
-# update certain parts of lighttpd.conf based on conditionals
-update_config() {
-       local config="/etc/lighttpd/lighttpd.conf"
-
-       # enable php/mod_fastcgi settings
-       use php && \
-               dosed 's|#.*\(include.*fastcgi.*$\)|\1|' ${config}
-
-       # enable stat() caching
-       use fam && \
-               dosed 's|#\(.*stat-cache.*$\)|\1|' ${config}
-
-}
-
-# remove non-essential stuff (for USE=minimal)
-remove_non_essential() {
-       local libdir="${D}/usr/$(get_libdir)/${PN}"
-
-       # text docs
-       use doc || rm -fr ${D}/usr/share/doc/${PF}/txt
-
-       # non-essential modules
-       rm -f \
-               
${libdir}/mod_{compress,evhost,expire,proxy,scgi,secdownload,simple_vhost,status,setenv,trigger*,usertrack}.*
-
-       # allow users to keep some based on USE flags
-       use pcre    || rm -f ${libdir}/mod_{ssi,re{direct,write}}.*
-       use webdav  || rm -f ${libdir}/mod_webdav.*
-       use mysql   || rm -f ${libdir}/mod_mysql_vhost.*
-       use lua     || rm -f ${libdir}/mod_{cml,magnet}.*
-       use rrdtool || rm -f ${libdir}/mod_rrdtool.*
-
-       if ! use fastcgi ; then
-               rm -f ${libdir}/mod_fastcgi.* ${D}/usr/bin/spawn-fcgi \
-                       ${D}/usr/share/man/man1/spawn-fcgi.*
-       fi
-}
-
-pkg_setup() {
-       if ! use pcre ; then
-               ewarn "It is highly recommended that you build ${PN}"
-               ewarn "with perl regular expressions support via USE=pcre."
-               ewarn "Otherwise you lose support for some core options such"
-               ewarn "as conditionals and modules such as mod_re{write,direct}"
-               ewarn "and mod_ssi."
-               ebeep 5
-       fi
-
-       use php && require_php_with_use cgi
-
-       enewgroup lighttpd
-       enewuser lighttpd -1 -1 /var/www/localhost/htdocs lighttpd
-}
-
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
-
-       epatch "${FILESDIR}/${P}-ldap.patch"
-       epatch "${FILESDIR}/spawn-fcgi-1.5-allow-uids.patch"
-
-       eautoreconf || die "eautoreconf failed"
-
-
-       # dev-python/docutils installs rst2html.py not rst2html
-       sed -i -e 's|\(rst2html\)|\1.py|g' doc/Makefile.in || \
-               die "sed doc/Makefile.in failed"
-
-       # fix typo
-       sed -i -e 's|\(output_content\)_\(type\)|\1\2|' doc/cml.txt || \
-               die "sed doc/cml.txt failed"
-
-
-}
-
-src_compile() {
-       econf --libdir=/usr/$(get_libdir)/${PN} \
-               --enable-lfs \
-               $(use_enable ipv6) \
-               $(use_with aio linux-aio) \
-               $(use_with bzip2) \
-               $(use_with fam) \
-               $(use_with gdbm) \
-               $(use_with lua) \
-               $(use_with ldap) \
-               $(use_with memcache) \
-               $(use_with mysql) \
-               $(use_with pcre) \
-               $(use_with ssl openssl) \
-               $(use_with webdav webdav-props) \
-               $(use_with webdav webdav-locks) \
-               $(use_with xattr attr) \
-               || die "econf failed"
-
-       emake || die "emake failed"
-
-       if use doc ; then
-               einfo "Building HTML documentation"
-               cd doc
-               emake html || die "failed to build HTML documentation"
-       fi
-}
-
-src_install() {
-       emake DESTDIR="${D}" install || die "make install failed"
-
-       # init script stuff
-       newinitd ${FILESDIR}/lighttpd.initd-1.4.13-r2 lighttpd || die
-       newconfd ${FILESDIR}/lighttpd.confd lighttpd || die
-       use fam && has_version app-admin/fam && \
-               sed -i 's/after famd/need famd/g' "${D}"/etc/init.d/lighttpd
-
-       if use php || use fastcgi ; then
-               newinitd ${FILESDIR}/spawn-fcgi.initd spawn-fcgi || die
-               newconfd ${FILESDIR}/spawn-fcgi.confd spawn-fcgi || die
-       fi
-
-       # configs
-       insinto /etc/lighttpd
-       doins ${FILESDIR}/conf/lighttpd.conf
-       doins ${FILESDIR}/conf/mime-types.conf
-       doins ${FILESDIR}/conf/mod_cgi.conf
-       newins ${FILESDIR}/conf/mod_fastcgi.conf-1.4.13-r2 mod_fastcgi.conf
-       # Secure directory for fastcgi sockets
-       keepdir /var/run/lighttpd/
-       fperms 0750 /var/run/lighttpd/
-       fowners lighttpd:lighttpd /var/run/lighttpd/
-
-       # update lighttpd.conf directives based on conditionals
-       update_config
-
-       # docs
-       dodoc AUTHORS README NEWS ChangeLog doc/*.sh
-       newdoc doc/lighttpd.conf lighttpd.conf.distrib
-
-       use doc && dohtml -r doc/*
-
-       docinto txt
-       dodoc doc/*.txt
-
-       # logrotate
-       insinto /etc/logrotate.d
-       newins ${FILESDIR}/lighttpd.logrotate lighttpd || die
-
-       keepdir /var/l{ib,og}/lighttpd /var/www/localhost/htdocs
-       fowners lighttpd:lighttpd /var/l{ib,og}/lighttpd
-       fperms 0750 /var/l{ib,og}/lighttpd
-
-       use minimal && remove_non_essential
-}
-
-pkg_postinst () {
-       echo
-       if [[ -f ${ROOT}etc/conf.d/spawn-fcgi.conf ]] ; then
-               einfo "spawn-fcgi is now included with lighttpd"
-               einfo "spawn-fcgi's init script configuration is now located"
-               einfo "at /etc/conf.d/spawn-fcgi."
-               echo
-       fi
-
-       if [[ -f ${ROOT}etc/lighttpd.conf ]] ; then
-               ewarn "As of lighttpd-1.4.1, Gentoo has a customized 
configuration,"
-               ewarn "which is now located in /etc/lighttpd.  Please migrate 
your"
-               ewarn "existing configuration."
-               ebeep 5
-       fi
-
-       if use fam ; then
-               einfo "Remember to re-emerge lighttpd should you switch from"
-               einfo "app-admin/famd to app-admin/gamin or vice versa."
-       fi
-       echo
-}

Reply via email to